
## 模块安装
```shell
npm install sasp-form-render -S  // 这里版本号视具体情况定，一般情况都采用最高版本。
```

## 主项目main.js配置
``` javascript
import SaspFormRender from 'sasp-form-render';

Vue.use(SaspFormRender, {
    SERVICE_URL: FORM_RENDER_URL || ""
});
JAVA_URL是指请求后端请求的地址，例如：http://localhost:10002，注意最后不要加/

插件安装完成后，表单组件自动注册了全局组件form-resouce-view（资源查看页面）
在智能表单后台完成页面配置后，可以复制资源ID，使用该资源ID调用form-resouce-view组件即可渲染页面。
```

## form-resource-view组件使用说明示例
```
[comment]: <> (#### 组件入参数说明)

[comment]: <> (参数名称 | 参数说明 | 参数标准)

[comment]: <> (resourceId | 资源ID（必须传入） | 表单后台配置的资源ID，String)

[comment]: <> (sourceKey | 数据源ID | 共享的数据源ID，可以通过此数据源ID设置为实际使用的数据源ID，String)

[comment]: <> (loginUser | 登录用户 | 用于鉴定数据归属，Object，示例:{id:"1",userName:"张三"}，必须传入id:用户标识，userName:用户名称)

[comment]: <> (dataPermissions | 数据权限 | 表单后台配置的数据过滤ID，可以在后台资源调用中直接注册，这里即不需要传入，若资源注册中未注册权限，可在这里自行传入，String，多个使用英文逗号分隔)

[comment]: <> (operations | 操作权限 | 表单配置的按钮权限，参考按钮的code，如添加：add，修改：update，查看：view，删除：delete，String，多个使用英文逗号分隔)


```
