import lodash from 'lodash';
class BaseProperty{
    constructor(id,code,component,render) {
        this.id = id; // 组件ID
        this.code = code; // 组件临时code标识
        this.component = component; // 组件类型
        this.render = render; // 组件是否渲染,state:true/false，condition：表达式，按照表达式结果决定是否渲染{type:"state",value:false}
    }
}

class InputProperty extends BaseProperty{
    constructor({id,code,component,render,field,showName,editable,hideLabel,isUserBackfill,defaultValue,defaultValText}) {
        super(id,code,component,render);
        this.field = field; // 字段
        this.showName = showName; // 描述文字
        this.editable = editable; // 可编辑
        this.hideLabel = hideLabel; // 隐藏描述文字
        this.isUserBackfill = isUserBackfill; // 常用信息回填
        this.defaultValue = defaultValue; // 默认值
        this.defaultValText = defaultValText; // 默认值文本
    }
}

export {
    InputProperty
}