export default {
    menus: [
        {path: 'tableForm', component: () => import("./src/views/popup/formRender/tableFormRender.vue")},

        {path:'formMenuRouter/:resourceId', component: () => import("./src/views/router/formMenuRouter.vue")},
        {path:'singleFormMenuRouter/:resourceId', component: () => import("./src/views/router/singleFormMenuRouter.vue")},
        {path:'formResRouter/:resourceId', component: () => import("./src/views/router/formResRouter.vue")},
        {path:'singleFormResRouter/:resourceId', component: () => import("./src/views/router/singleFormResRouter.vue")},
    ],

    pages: [
        {path:'/formResRouter/:resourceId', component: () => import("./src/views/router/formResRouter.vue")},
        {path: "/pdfPreview", component: () => import("./src/components/public/upload/pdfPreview.vue")},
        {path: "/officeViewer", component: () => import("./src/components/public/upload/officeViewer")},
        {path:'/singleFormResRouter/:resourceId', component: () => import("./src/views/router/singleFormResRouter.vue")},
        {path:'/formMenuRouter/:resourceId', component: () => import("./src/views/router/formMenuRouter.vue")},
        {path:'/singleFormMenuRouter/:resourceId', component: () => import("./src/views/router/singleFormMenuRouter.vue")},
        {path:'/formResourceView/:resourceId', component: () => import("./src/views/router/formResourceView.vue")},
        {path: "/pageContainer", name: "pageContainer", component: () => import("./src/views/pageRender/formCanvas/pageContainer.vue")},
        {path: "/input", name: "input", component: () => import("./src/views/popup/tableViewsDialog/render/component/spcp-input.vue")},
        {path: "/formView", name: "formView", component: () => import("./src/views/popup/tableViewsDialog/render/formView.vue")},
    ]
};
