let objResult = {
    baseUploadUrl: "/formUploadController/",
    upload: {
        url: "/formUploadController",
        deleteFilesById: "/formUploadController/deleteFilesById",
        updateByFkId: "/formUploadController/updateByFkId",
        batchCopyByFkId:"/formUploadController/batchCopyByFkId",
        uploadFile: "/formUploadController/upload",
        viewFile:"/formUploadController/viewFile",
        find:"/formUploadController/find",
        downloadFile:"/formUploadController/downloadFile",
    },
    plCommonmethod:{
        url:"/plCommonMethodController",
        importData:"/plCommonMethodController/importData",
        find:"/plCommonMethodController/find",
        findDataAndDetails:"/plCommonMethodController/findDataAndDetails",
        findDataAndDetailsNew:"/plCommonMethodController/findDataAndDetailsNew",
        findDataAndDetailsNewTwo:"/plCommonMethodController/findDataAndDetailsNewTwo",
        findInst:"/plCommonMethodController/findInst",
        findDraftInst:"/plCommonMethodController/findDraftInst",
        findByFormId:"/plCommonMethodController/findByFormId",
        getSignFormByKey:"/plCommonMethodController/getSignFormByKey",
        findByFormIdNew:"/plCommonMethodController/findByFormIdNew",
        getById:"/plCommonMethodController/getById",
        getByIds:"/plCommonMethodController/getByIds",
        update:"/plCommonMethodController/update",
        updateById:"/plCommonMethodController/updateById",
        updateByIdBatch:"/plCommonMethodController/updateByIdBatch",
        updateByIdBatchNew:"/plCommonMethodController/updateByIdBatchNew",
        updateByIdNew:"/plCommonMethodController/updateByIdNew",
        updateSignFormByKey:"/plCommonMethodController/updateSignFormByKey",
        deleteByParam:"/plCommonMethodController/deleteByParam",
        exportListData:"/plCommonMethodController/exportListData",
        loadfile:"/plCommonMethodController/loadfile",
        deletefile:"/plCommonMethodController/deletefile",
        exportDiyData:"/plCommonMethodController/exportDiyData",
        delete:"/plCommonMethodController/delete",
        insert:"/plCommonMethodController/insert",
        insertByIdBatch:"/plCommonMethodController/insertByIdBatch",
        getSignFormById:"/plCommonMethodController/getSignFormById",
        findDataRows:"/plCommonMethodController/findDataRows",
        findByconditions:"/plCommonMethodController/findByconditions",
        findDataByFormId:"/plCommonMethodController/findDataByFormId",
        getNowTime:"/plCommonMethodController/getNowTime",
        listByParam:"/plCommonMethodController/listByParam",
        findDataByTree:"/plCommonMethodController/findDataByTree",

        importSortData:"/plCommonMethodController/importSortData", //自定义排序导入
        findDataByFormIdNoLogin:"/plCommonMethodController/findDataByFormIdNoLogin",

        getByIdsAndListViewId:"/plCommonMethodController/getByIdsAndListViewId", //根据列表视图批量查询表单数据

        queryStatisticsAnalysis:"/plCommonMethodController/queryStatisticsAnalysis", //列统计分析

        getRandomId:"/plCommonMethodController/getRandomId", //获取随机id

    },
    plFormQuery:{
        url: "/plFormQueryController",
        find:"/plFormQueryController/find",
        update: "/plFormQueryController/update",
        insert: "/plFormQueryController/insert"
    },

    plFormField:{
        url:"/plFormFieldController",
        getById:"/plFormFieldController/getById",
        find:"/plFormFieldController/find",
        formatField:"/plFormFieldController/formatField",
        deleteField:"/plFormFieldController/deleteField",
        resumeField:"/plFormFieldController/resumeField",
        saveBaseInfo:"/plFormFieldController/saveBaseInfo",
        saveTable:"/plFormFieldController/saveTable",
        selectIndexColumn:"/plFormFieldController/selectIndexColumn",
        saveUniteUnique:"/plFormFieldController/saveUniteUnique",
        update:"/plFormFieldController/update",
        add:"/plFormFieldController/add",
        getCacheByFormId:"/plFormFieldController/getCacheByFormId",
        getCacheByIds:"/plFormFieldController/getCacheByIds",
        deleteCacheByIds:"/plFormFieldController/deleteCacheByIds",
        compareOperateTable:"/plFormFieldController/compareOperateTable"
    },

    plFieldUpon:{
        url:"/plFieldUponController",
        find:"/plFieldUponController/find",
    },

    plSearchbox:{
        url:"/plSearchboxController",
        find:"/plSearchboxController/find",
        update:"/plSearchboxController/update",
        add:"/plSearchboxController/add",
        delete:"/plSearchboxController/delete",
        getCacheByListViewId:"/plSearchboxController/getCacheByListViewId",
        logicDelete:"/plSearchboxController/logicDelete",
    },

    plListConditionDetail:{
        url:"/plListConditionDetailController",
        delete:"/plListConditionDetailController/delete",
        deleteByCondition:"/plListConditionDetailController/deleteByCondition",
        find:"/plListConditionDetailController/find",
        saveData:"/plListConditionDetailController/saveData",
        logicDelete:"/plListConditionDetailController/logicDelete",
        getListCondiTionByCache:"/plListConditionDetailController/getListCondiTionByCache",
    },

    plListField:{
        url:"/plListFieldController",
        find:"/plListFieldController/find",
        update:"/plListFieldController/update",
        add:"/plListFieldController/add",
        delete:"/plListFieldController/delete",
        getCacheByViewId:"/plListFieldController/getCacheByViewId",
        logicDelete:"/plListFieldController/logicDelete",
    },

    plListSort:{
        url:"/plListSortController",
        find:"/plListSortController/find",
        batchSave:"/plListSortController/batchSave",
        delete:"/plListSortController/delete",
        logicDelete:"/plListSortController/logicDelete",
    },

    plListViewsButton:{
        url:"/plListViewsButtonController",
        find:"/plListViewsButtonController/find",
        findButton:"/plListViewsButtonController/findButton",
        update:"/plListViewsButtonController/update",
        deleteButton:"/plListViewsButtonController/deleteButton",
        saveButton:"/plListViewsButtonController/saveButton",
    },

    plListViews:{
        url:"/plListViewsController",
        find:"/plListViewsController/find",
        getById:"/plListViewsController/getById",
        add:"/plListViewsController/add",
        update:"/plListViewsController/update",
        copyListView:"/plListViewsController/copyListView",
        updateByParam:"/plListViewsController/updateByParam",
        getListViewCacheById:"/plListViewsController/getListViewCacheById",
        updateListViewCacheById:"/plListViewsController/updateListViewCacheById",
        deleteListViewCacheByIds:"/plListViewsController/deleteListViewCacheByIds",
        findNewVersion:"/plListViewsController/findNewVersion",
        getAllListModel:"/plListViewsController/getAllListModel",
        delete:"/plListViewsController/delete",
        logicDelete:"/plListViewsController/logicDelete",
        loadAllNewList:"/plListViewsController/loadAllNewList",
    },

    plMultiLink:{
        url:"/plMultiLinkController",
        find:"/plMultiLinkController/find",
        update:"/plMultiLinkController/update",
        add:"/plMultiLinkController/add",
        deleteMutlti:"/plMultiLinkController/deleteMutlti",
        deleteMutltiLink:"/plMultiLinkController/deleteMutltiLink",
    },

    plPresetConfig:{
        url:"/plPresetConfigController",
        find:"/plPresetConfigController/find",
    },

    plSequence:{
        url:"/plSequenceController",
        add:"/plSequenceController/add",
        find:"/plSequenceController/find",
        update:"/plSequenceController/update",
        updateById:"/plSequenceController/updateById",
    },

    plTableviewsEvent:{
        url:"/plTableviewsEventController",
        findEventRule:"/plTableviewsEventController/findEventRule",
        deleteTableviewsEvent:"/plTableviewsEventController/deleteTableviewsEvent",
        saveEventRule:"/plTableviewsEventController/saveEventRule",
        copyEventRule:"/plTableviewsEventController/copyEventRule",
        getMaxRuleOrder:"/plTableviewsEventController/getMaxRuleOrder",
        batchCopyRule:"/plTableviewsEventController/batchCopyRule",
        updateTableViewId:"/plTableviewsEventController/updateTableViewId",
    },

    plTreeDefine:{
        url:"/plTreeDefineController",
        find:"/plTreeDefineController/find",
        add:"/plTreeDefineController/add",
        update:"/plTreeDefineController/update",
        delete:"/plTreeDefineController/delete",
        logicDelete:"/plTreeDefineController/logicDelete",
    },

    plViewsButton:{
        url:"/plViewsButtonController",
        find:"/plViewsButtonController/find",
        saveButtonData:"/plViewsButtonController/saveButtonData",
        getCacheByTableViewId:"/plViewsButtonController/getCacheByTableViewId",
        updateCacheById:"/plViewsButtonController/updateCacheById"
    },

    fieldbase:{
        url:"/fieldbaseController",
        getManyTableFields:"/fieldbaseController/getManyTableFields",
        find:"/fieldbaseController/find"
    },

    plPageInfo:{
        url:"/plPageInfoController",
        find:"/plPageInfoController/find",
        getById:"/plPageInfoController/getById",
        add:"/plPageInfoController/add",
        update:"/plPageInfoController/update",
    },
    plTableviews:{
        url:"/plTableviewsController",
        find:"/plTableviewsController/find",
        getById:"/plTableviewsController/getById",
        add:"/plTableviewsController/add",
        update:"/plTableviewsController/update",
        registerSource:"/plTableviewsController/registerSource",
        deleteSource:"/plTableviewsController/deleteSource",
        getCacheById:"/plTableviewsController/getCacheById",
        updateTableViewCacheById:"/plTableviewsController/updateTableViewCacheById",
        deleteTableViewCacheByIds:"/plTableviewsController/deleteTableViewCacheByIds",
        findNewVersion:"/plTableviewsController/findNewVersion",
        copyTableView:"/plTableviewsController/copyTableView"
    },

    plFormBase:{
        url:"/plFormBaseController",
        update:"/plFormBaseController/update",
        findMenuModule:"/plFormBaseController/findMenuModule",
        logicDeleteByformId:"/plFormBaseController/logicDeleteByformId",
        find:"/plFormBaseController/find",
        getById:"/plFormBaseController/getById",
        getFieldDiffByFormId:"/plFormBaseController/getFieldDiffByFormId",
        getPlFieldDiffByFormId:"/plFormBaseController/getPlFieldDiffByFormId",
        getViewAndField:"/plFormBaseController/getViewAndField",
        refreshAllCache:"/plFormBaseController/refreshAllCache",
        refreshCacheInfoByFormIds:"/plFormBaseController/refreshCacheInfoByFormIds",
        updateFormAndFieldById:"/plFormBaseController/updateFormAndFieldById",
        deleteCacheByFormIds:"/plFormBaseController/deleteCacheByFormIds",
        findByEnv:"/plFormBaseController/findByEnv",
        findOnlineData:"/plFormBaseController/findOnlineData",
        updateVersion:"/plFormBaseController/updateVersion", //版本升级
        backVersion:"/plFormBaseController/backVersion", //版本回退
        findAllByEnv:"/plFormBaseController/findAllByEnv",
        exportFormData:"/plFormBaseController/exportFormData",
        impFormData:"/plFormBaseController/impFormData",
        exportFormDataByCloud:"/plFormBaseController/exportFormDataByCloud",
        uploadFormDataByCloud:"/plFormBaseController/uploadFormDataByCloud", //上传到云仓库
        getEligibleTable:"/plFormBaseController/getEligibleTable", // 获取符合条件的待注册数据表
        registerTable:"/plFormBaseController/registerTable", // 注册数据表
        shareFormSources:"/plFormBaseController/shareFormSources", // 资源共享
        setShareFormSources: "/plFormBaseController/setShareFormSources", // 设置资源共享
        removeShare:"/plFormBaseController/removeShare", // 移除资源共享
        transferData: "/plFormBaseController/transferData", // 数据迁移
        copyFormBaseAndData:"/plFormBaseController/copyFormBaseAndData" //复制
    },

    plActiveComp:{
        url:"/plActiveCompController",
        find:"/plActiveCompController/find",
        update:"/plActiveCompController/update",
        findAdditionalDiy:"/plActiveCompController/findAdditionalDiy",
        findAdditional:"/plActiveCompController/findAdditional",
        addByParam:"/plActiveCompController/addByParam",
        findCompCountByName: "/plActiveCompController/findCompCountByName"
    },

    plColumnFormat:{
        url:"/plColumnFormatController",
        findByViewIdAndFieldIds:"/plColumnFormatController/findByViewIdAndFieldIds",
        find:"/plColumnFormatController/find",
        delete:"/plColumnFormatController/delete",
        logicDelete:"/plColumnFormatController/logicDelete",
    },

    plControlConfig:{
        url:"/plControlConfigController",
        find:"/plControlConfigController/find",
        batchOperate:"/plControlConfigController/batchOperate",
        queryMeasurements:"/plControlConfigController/queryMeasurements",
        findCacheByTviewId:"/plControlConfigController/findCacheByTviewId", //根据tableViewId从缓存中获取
    },

    plEventSet:{
        url:'/plEventSetController',
        find:"/plEventSetController/find",
        delete:"/plEventSetController/delete",
        saveEventSet:"/plEventSetController/saveEventSet",
        logicDelete:"/plEventSetController/logicDelete",
    },

    plexportset:{
        url:"/plexportsetController",
        find:"/plexportsetController/find",
        deleteByParam:"/plexportsetController/deleteByParam",
        insertExportSet:"/plexportsetController/insertExportSet",
    },

    plFieldPreset:{
        url:"/plFieldPresetController",
        findFieldPresetData:"/plFieldPresetController/findFieldPresetData",
        findAllFieldByListView:"/plFieldPresetController/findAllFieldByListView",
        update:"/plFieldPresetController/update",
        findAllFieldPresetData:"/plFieldPresetController/findAllFieldPresetData",
        saveOrUpdatePresetData:"/plFieldPresetController/saveOrUpdatePresetData"
    },

    plFormScript:{
        url:"/plFormScriptController",
        add:"/plFormScriptController/add",
        update:"/plFormScriptController/update",
        find:"/plFormScriptController/find",
        getByIds:'/plFormScriptController/getByIds',
        deleteScript:"/plFormScriptController/deleteScript",
        updatePageId:"/plFormScriptController/updatePageId"
    },

    plFormTmpDefine:{
        url:"/plFormTmpDefineController",
        delete:"/plFormTmpDefineController/delete",
        find:"/plFormTmpDefineController/find",
        logicDelete:"/plFormTmpDefineController/logicDelete",
    },

    plFormTmpFields:{
        url:"/plFormTmpFieldsController",
        find:"/plFormTmpFieldsController/find",
        delete:"/plFormTmpFieldsController/delete",
        add:"/plFormTmpFieldsController/add",
        update:"/plFormTmpFieldsController/update",
        logicDelete:"/plFormTmpFieldsController/logicDelete",
    },

    plListCondition:{
        url:"/plListConditionController",
        find:"/plListConditionController/find",
        delete:"/plListConditionController/delete",
        saveCondition:"/plListConditionController/saveCondition",
        findNewVersion:"/plListConditionController/findNewVersion",
        updatePageId:"/plListConditionController/updatePageId"
    },

    plUpdateRecord:{
        url:"/updaterecordController",
        add:"/updaterecordController/add",
        update:"/updaterecordController/update",
        find:"/updaterecordController/find",
    },

    /**
     * 事件规则
     */
    eventRule:{
        url:"/plEventRuleSetController",
        find:"/plEventRuleSetController/find",
        add:"/plEventRuleSetController/add",
        update:"/plEventRuleSetController/update",
        delete:"/plEventRuleSetController/delete",
        findByVersion:"/plEventRuleSetController/findByVersion",//事件规则根据版本分页查询
        findPage:"/plEventRuleSetController/findPage",
        saveEvent:"/plEventRuleSetController/saveEvent", //保存事件规则
        getMaxOrder:"/plEventRuleSetController/getMaxOrder", //获取最大版本事件规则
        importEventData:"/plEventRuleSetController/importEventData",//事件规则导入
        downloadTemplate:"/plEventRuleSetController/downloadTemplate", //事件规则模版下载
    },

    mixDataTool:{
        url:"/mixDataToolController",
        findAllTypeAndData:"/mixDataToolController/findAllTypeAndData",
        getDataByType:"/mixDataToolController/getDataByType",
        getDataTree:"/mixDataToolController/getDataTree",
        findDataType:"/mixDataToolController/findDataType",
        getAllDataSoucre:"/mixDataToolController/getAllDataSoucre",
        getDataSoucreArr:"/mixDataToolController/getDataSoucreArr",
        getByIds:"/mixDataToolController/getByIds",
        getDataSoucreArrAndTable:"/mixDataToolController/getDataSoucreArrAndTable",
    },

    plFormComponents:{
        url:"/plFormComponents",
        find:"/plFormComponents/find",
        getById:"/plFormComponents/getById",
        uploadComponent:"/plFormComponents/uploadComponent", // 上传组件包
        loadAllCustomInfo:"/plFormComponents/loadAllCustomInfo", // 载入所有自定义信息
        getAllClassify:"/plFormComponents/getAllClassify", // 载入所有自定义信息
        findComponentsByName:"/plFormComponents/findCompCountByName", // 根据名称查询自定义组件
    },

    plFormResource:{
        url:"/plFormResource", //资源调用
        add:"/plFormResource/add",
        getById:"/plFormResource/getById",
        update:"/plFormResource/update",
        delete:"/plFormResource/delete",
        find:"/plFormResource/find",
        findPage:"/plFormResource/findPage",
        getFormData:"/plFormResource/getFormData"
    },

    plFormUser:{
        url:"/plFormUser", //用户管理
        find:"/plFormUser/find",
        findPage:"/plFormUser/findPage",
        findPageByParam:"/plFormUser/findPageByParam",
        add:"/plFormUser/add",
        update:"/plFormUser/update",
        resetPwd: "/plFormUser/resetPwd",
        findTitle: "/plFormUser/findTitle",
        getUserByAccount: "/plFormUser/getUserByAccount",
        updateUserStatusById: "/plFormUser/updateUserStatusById"
    },
    plFormParam:{
        url:"/plFormParam",
        find:"/plFormParam/find",
        batchUpdate:"/plFormParam/batchUpdate",
        add:"/plFormParam/add",
        delete:"/plFormParam/delete",
        getById:"/plFormParam/getById",
    },
    plFormCss:{
        uploadCss:"/plFormCss/uploadCss",
        find:"/plFormCss/find",
        add:"/plFormCss/add",
        update:"/plFormCss/update",
        delete:"/plFormCss/delete",
        getById:"/plFormCss/getById",
    },

    loginMethod:{
        login: "/formLoginController/login",
        logout: "/formLoginController/logout",
        getLoginUser: "/formLoginController/getLoginUser"
    },

    plFormUserPreferences:{
        url: "/plFormPreferencesController",
        find: "/plFormPreferencesController/find",
        add:"/plFormPreferencesController/add",
        update:"/plFormPreferencesController/update",
        getUserBackByParams:"/plFormPreferencesController/getUserBackByParams",
    },

    plFormButtonRecord:{
        batchOperate:"/plFormButtonRecordController/batchOperate",
    },

    mixData: {
        findAllTypeAndDataForLocalForage:"/mixDataToolController/findAllTypeAndDataForLocalForage",
    },
    source:{
        testSource:"/source/testConnBysrcId",
    },
    sourceDB:{
        getById:"/sourceDB/findByParam",
    },
    // plRemindSetUp: {
    //     url: "/plRemindController",
    //     find: "/plRemindController/find",
    //     findPage: "/plRemindController/findPage",
    //     getById: "/plRemindController/getById",
    //     add: "/plRemindController/add",
    //     update: "/plRemindController/update",
    //     delete: "/plRemindController/delete"
    // }

    operationLog: {
        url:"/operationLogController",
        find:"/operationLogController/find",
        getById:"/operationLogController/getById",
    },
    gisMapDoting: {
        url:"/gisMapDoting",
        find:"/gisMapDoting/find",
        add: "/gisMapDoting/add",
        batchAdd:"/gisMapDoting/batchAdd",
        deleteByRelationIdAndPtType: "/gisMapDoting/deleteByRelationIdAndPtType",
    }

};

import {SaspModuleUtil} from "sasp-base";
export default {
    init(serviceAddr) {
        SaspModuleUtil.initServiceAddrs(objResult, serviceAddr);
    },
    apis: objResult
}
