let objResult = {
    complex: {
        url: "/complexController",
        update: "/complexController/update",
        add: "/complexController/add",
        getById: "/complexController/getById",
        count: "/complexController/count",
        deleteRelateData: "/complexController/deleteRelateData",
        find: "/complexController/find",
    },
    sysOrgDimension: {
        url: "/sysOrgDimensionController",
        find: "/sysOrgDimensionController/find",
        add: "/sysOrgDimensionController/add"
    },
    sysOrgPosUser: {
        findNoPage: "/sysOrgPosUserController/findNoPage",
    },
    sysOrg:{
        url: "/sysOrgController",
        find: "/sysOrgController/find",
        findPage: "/sysOrgController/findPage",
        add: "/sysOrgController/add",
        listNoPage: "/sysOrgController/listNoPage",
        findOrgTree:"/sysOrgController/findOrgTree"
    },
    sysPos: {
        findNoPage: "/sysPosController/findNoPage",
    },
    sysUser: {
        find: "/sysUserController/find",
        getOnlyUsers: "/sysUserController/getOnlyUsers",
    },
    //资源池
    resources: {
        url: "/resourcesController",
        getById: "/resourcesController/getById",
        getPageClass: "/resourcesController/getPageClass",
        find: "/resourcesController/find",
        // findMaps:"/resourcesController/findMaps",
        findResources: "/resourcesController/findResources",
        initData: "/resourcesController/initData",
        add: "/resourcesController/add",
        update: "/resourcesController/update",
        delete: "/resourcesController/delete",
        deleteResources: "/resourcesController/deleteResources",
        saveResources: "/resourcesController/saveResources",
        saveOrUpdateRsources: "/resourcesController/saveOrUpdateRsources",
        getResMaps: "/resourcesController/getResMaps",
        updateResources:"/resourcesController/updateResources", //更新resources
        findResourcesById:"/resourcesController/findResourcesById",//根据资源id从缓存中获取
    },
    auth: {
        url: "/authController",
        getOwnMenu: "/authController/getOwnMenu",
        getMenuOptsByUserAndMenu: "/authController/getMenuOptsByUserAndMenu",
        getLoginUserModuleAndMenus: "/authController/getLoginUserModuleAndMenus",
        getOwnMenuOpt: "/authController/getOwnMenuOpt",
        getCommonUserAllocateMenu: "/authController/getCommonUserAllocateMenu",
    },
};

import {SaspModuleUtil} from "sasp-base";
export default {
    init(serviceAddr) {
        SaspModuleUtil.initServiceAddrs(objResult, serviceAddr);
    },
    apis: objResult
}
